spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::char_ptr_less_than Struct Reference
Miscellaneous helper functions

Strict Weak Ordering for `char*`. More...

`#include <spot/misc/ltstr.hh>`

Inheritance diagram for spot::char_ptr_less_than:
Collaboration diagram for spot::char_ptr_less_than:

## Public Member Functions
bool | operator() (const char *left, const char *right) const

## Detailed Description

Strict Weak Ordering for `char*`.

This is meant to be used as a comparison functor for STL `map` whose key are of type `const char*`.

For instance here is how one could declare a map of `const state*`.

std::map<const char*, int, spot::state_ptr_less_than> seen;

The documentation for this struct was generated from the following file:

- spot/misc/ltstr.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.